> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetNewPhoneNumbers

POST https://api.voximplant.com/platform_api/GetNewPhoneNumbers

Gets the new phone numbers.

Allowed roles: `Owner`, `Admin`, `Accountant`.

**Example request:** Get the two new fixed Russian phone numbers at max.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/phone-numbers/get-new-phone-numbers

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetNewPhoneNumbers:
    post:
      operationId: get-new-phone-numbers
      summary: GetNewPhoneNumbers
      description: |-
        Gets the new phone numbers.

        Allowed roles: `Owner`, `Admin`, `Accountant`.

        **Example request:** Get the two new fixed Russian phone numbers at max.
      tags:
        - subpackage_phoneNumbers
      parameters:
        - name: country_code
          in: query
          description: The country code
          required: true
          schema:
            type: string
        - name: phone_category_name
          in: query
          description: The phone category name. See the [GetPhoneNumberCategories] function
          required: true
          schema:
            type: string
        - name: country_state
          in: query
          description: >-
            The country state. See the GetPhoneNumberCategories and
            GetPhoneNumberCountryStates functions
          required: false
          schema:
            type: string
        - name: phone_region_id
          in: query
          description: The phone region ID. See the [GetPhoneNumberRegions] method
          required: true
          schema:
            type: integer
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: phone_number_mask
          in: query
          description: >-
            The phone number searching mask. Asterisk represents zero or more
            occurrences of any character
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/phone-numbers_GetNewPhoneNumbers_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    NewPhoneInfoType:
      type: object
      properties:
        phone_id:
          type: integer
          description: The phone ID
        phone_number:
          type: string
          description: The phone number
        phone_price:
          type: number
          format: double
          description: >-
            The phone monthly fee. It consists of `phone_price` and
            `phone_tax_reserve`
        phone_installation_price:
          type: number
          format: double
          description: >-
            The phone installation price (without the first monthly fee). It
            consists of `phone_installation_price` and
            `phone_installation_tax_reserve`
        phone_country_code:
          type: string
          description: The phone country code (2 symbols)
        phone_period:
          type: string
          description: >-
            The charge period in 24-h format: Y-M-D H:m:s. Example: 0-1-0 0:0:0
            is 1 month
        phone_category_name:
          type: string
          description: The phone category name (MOBILE, GEOGRAPHIC, TOLLFREE, MOSCOW495)
        phone_region_name:
          type: string
          description: The phone region name
        phone_installation_tax_reserve:
          type: integer
          description: >-
            The phone number installation tax reserve. The phone installation
            price consists of `phone_installation_price` and
            `phone_installation_tax_reserve`
        phone_tax_reserve:
          type: integer
          description: >-
            The phone number tax reserve. The phone monthly fee consists of
            `phone_price` and `phone_tax_reserve`
      description: The [GetNewPhoneNumbers] function result item.
      title: NewPhoneInfoType
    phone-numbers_GetNewPhoneNumbers_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/NewPhoneInfoType'
        total_count:
          type: integer
          description: The total found phone count
        count:
          type: integer
          description: The returned phone count
      title: phone-numbers_GetNewPhoneNumbers_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetNewPhoneNumbers"

querystring = {"country_code":"country_code","phone_category_name":"phone_category_name","phone_region_id":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetNewPhoneNumbers?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```